Imported Upstream version 1.7.6
[platform/upstream/harfbuzz.git] / test / shaping / data / in-house / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Process this file with automake to produce Makefile.in
18 VPATH = @srcdir@
19 am__is_gnu_make = { \
20   if test -z '$(MAKELEVEL)'; then \
21     false; \
22   elif test -n '$(MAKE_HOST)'; then \
23     true; \
24   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25     true; \
26   else \
27     false; \
28   fi; \
29 }
30 am__make_running_with_option = \
31   case $${target_option-} in \
32       ?) ;; \
33       *) echo "am__make_running_with_option: internal error: invalid" \
34               "target option '$${target_option-}' specified" >&2; \
35          exit 1;; \
36   esac; \
37   has_opt=no; \
38   sane_makeflags=$$MAKEFLAGS; \
39   if $(am__is_gnu_make); then \
40     sane_makeflags=$$MFLAGS; \
41   else \
42     case $$MAKEFLAGS in \
43       *\\[\ \   ]*) \
44         bs=\\; \
45         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47     esac; \
48   fi; \
49   skip_next=no; \
50   strip_trailopt () \
51   { \
52     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53   }; \
54   for flg in $$sane_makeflags; do \
55     test $$skip_next = yes && { skip_next=no; continue; }; \
56     case $$flg in \
57       *=*|--*) continue;; \
58         -*I) strip_trailopt 'I'; skip_next=yes;; \
59       -*I?*) strip_trailopt 'I';; \
60         -*O) strip_trailopt 'O'; skip_next=yes;; \
61       -*O?*) strip_trailopt 'O';; \
62         -*l) strip_trailopt 'l'; skip_next=yes;; \
63       -*l?*) strip_trailopt 'l';; \
64       -[dEDm]) skip_next=yes;; \
65       -[JT]) skip_next=yes;; \
66     esac; \
67     case $$flg in \
68       *$$target_option*) has_opt=yes; break;; \
69     esac; \
70   done; \
71   test $$has_opt = yes
72 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74 pkgdatadir = $(datadir)/@PACKAGE@
75 pkgincludedir = $(includedir)/@PACKAGE@
76 pkglibdir = $(libdir)/@PACKAGE@
77 pkglibexecdir = $(libexecdir)/@PACKAGE@
78 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79 install_sh_DATA = $(install_sh) -c -m 644
80 install_sh_PROGRAM = $(install_sh) -c
81 install_sh_SCRIPT = $(install_sh) -c
82 INSTALL_HEADER = $(INSTALL_DATA)
83 transform = $(program_transform_name)
84 NORMAL_INSTALL = :
85 PRE_INSTALL = :
86 POST_INSTALL = :
87 NORMAL_UNINSTALL = :
88 PRE_UNINSTALL = :
89 POST_UNINSTALL = :
90 build_triplet = @build@
91 host_triplet = @host@
92 TESTS = tests/arabic-fallback-shaping.tests \
93         tests/arabic-feature-order.tests \
94         tests/arabic-like-joining.tests tests/arabic-mark-order.tests \
95         tests/arabic-stch.tests tests/automatic-fractions.tests \
96         tests/cluster.tests tests/color-fonts.tests \
97         tests/context-matching.tests tests/cursive-positioning.tests \
98         tests/default-ignorables.tests tests/emoji-flag-tags.tests \
99         tests/fallback-positioning.tests tests/fuzzed.tests \
100         tests/hangul-jamo.tests tests/hyphens.tests \
101         tests/indic-consonant-with-stacker.tests \
102         tests/indic-init.tests tests/indic-joiner-candrabindu.tests \
103         tests/indic-joiners.tests tests/indic-old-spec.tests \
104         tests/indic-pref-blocking.tests \
105         tests/indic-script-extensions.tests \
106         tests/indic-special-cases.tests tests/indic-syllable.tests \
107         tests/language-tags.tests tests/ligature-id.tests \
108         tests/mark-attachment.tests tests/mark-filtering-sets.tests \
109         tests/mongolian-variation-selector.tests \
110         tests/myanmar-syllable.tests tests/spaces.tests \
111         tests/simple.tests tests/tibetan-contractions-1.tests \
112         tests/tibetan-contractions-2.tests tests/tibetan-vowels.tests \
113         tests/use.tests tests/use-marchen.tests \
114         tests/use-syllable.tests tests/variations-rvrn.tests \
115         tests/vertical.tests tests/zero-width-marks.tests \
116         $(am__EXEEXT_1)
117 subdir = test/shaping/data/in-house
118 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
119 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_code_coverage.m4 \
120         $(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/gtk-doc.m4 \
121         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
122         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
123         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/pkg.m4 \
124         $(top_srcdir)/configure.ac
125 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
126         $(ACLOCAL_M4)
127 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
128 mkinstalldirs = $(install_sh) -d
129 CONFIG_HEADER = $(top_builddir)/config.h
130 CONFIG_CLEAN_FILES =
131 CONFIG_CLEAN_VPATH_FILES =
132 AM_V_P = $(am__v_P_@AM_V@)
133 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
134 am__v_P_0 = false
135 am__v_P_1 = :
136 AM_V_GEN = $(am__v_GEN_@AM_V@)
137 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
138 am__v_GEN_0 = @echo "  GEN     " $@;
139 am__v_GEN_1 = 
140 AM_V_at = $(am__v_at_@AM_V@)
141 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
142 am__v_at_0 = @
143 am__v_at_1 = 
144 SOURCES =
145 DIST_SOURCES =
146 am__can_run_installinfo = \
147   case $$AM_UPDATE_INFO_DIR in \
148     n|no|NO) false;; \
149     *) (install-info --version) >/dev/null 2>&1;; \
150   esac
151 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
152 am__tty_colors_dummy = \
153   mgn= red= grn= lgn= blu= brg= std=; \
154   am__color_tests=no
155 am__tty_colors = { \
156   $(am__tty_colors_dummy); \
157   if test "X$(AM_COLOR_TESTS)" = Xno; then \
158     am__color_tests=no; \
159   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
160     am__color_tests=yes; \
161   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
162     am__color_tests=yes; \
163   fi; \
164   if test $$am__color_tests = yes; then \
165     red='\e[0;31m'; \
166     grn='\e[0;32m'; \
167     lgn='\e[1;32m'; \
168     blu='\e[1;34m'; \
169     mgn='\e[0;35m'; \
170     brg='\e[1m'; \
171     std='\e[m'; \
172   fi; \
173 }
174 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
175 am__vpath_adj = case $$p in \
176     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
177     *) f=$$p;; \
178   esac;
179 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
180 am__install_max = 40
181 am__nobase_strip_setup = \
182   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
183 am__nobase_strip = \
184   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
185 am__nobase_list = $(am__nobase_strip_setup); \
186   for p in $$list; do echo "$$p $$p"; done | \
187   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
188   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
189     if (++n[$$2] == $(am__install_max)) \
190       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
191     END { for (dir in files) print dir, files[dir] }'
192 am__base_list = \
193   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
194   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
195 am__uninstall_files_from_dir = { \
196   test -z "$$files" \
197     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
198     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
199          $(am__cd) "$$dir" && rm -f $$files; }; \
200   }
201 am__recheck_rx = ^[     ]*:recheck:[    ]*
202 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
203 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
204 # A command that, given a newline-separated list of test names on the
205 # standard input, print the name of the tests that are to be re-run
206 # upon "make recheck".
207 am__list_recheck_tests = $(AWK) '{ \
208   recheck = 1; \
209   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
210     { \
211       if (rc < 0) \
212         { \
213           if ((getline line2 < ($$0 ".log")) < 0) \
214             recheck = 0; \
215           break; \
216         } \
217       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
218         { \
219           recheck = 0; \
220           break; \
221         } \
222       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
223         { \
224           break; \
225         } \
226     }; \
227   if (recheck) \
228     print $$0; \
229   close ($$0 ".trs"); \
230   close ($$0 ".log"); \
231 }'
232 # A command that, given a newline-separated list of test names on the
233 # standard input, create the global log from their .trs and .log files.
234 am__create_global_log = $(AWK) ' \
235 function fatal(msg) \
236 { \
237   print "fatal: making $@: " msg | "cat >&2"; \
238   exit 1; \
239 } \
240 function rst_section(header) \
241 { \
242   print header; \
243   len = length(header); \
244   for (i = 1; i <= len; i = i + 1) \
245     printf "="; \
246   printf "\n\n"; \
247 } \
248 { \
249   copy_in_global_log = 1; \
250   global_test_result = "RUN"; \
251   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
252     { \
253       if (rc < 0) \
254          fatal("failed to read from " $$0 ".trs"); \
255       if (line ~ /$(am__global_test_result_rx)/) \
256         { \
257           sub("$(am__global_test_result_rx)", "", line); \
258           sub("[        ]*$$", "", line); \
259           global_test_result = line; \
260         } \
261       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
262         copy_in_global_log = 0; \
263     }; \
264   if (copy_in_global_log) \
265     { \
266       rst_section(global_test_result ": " $$0); \
267       while ((rc = (getline line < ($$0 ".log"))) != 0) \
268       { \
269         if (rc < 0) \
270           fatal("failed to read from " $$0 ".log"); \
271         print line; \
272       }; \
273       printf "\n"; \
274     }; \
275   close ($$0 ".trs"); \
276   close ($$0 ".log"); \
277 }'
278 # Restructured Text title.
279 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
280 # Solaris 10 'make', and several other traditional 'make' implementations,
281 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
282 # by disabling -e (using the XSI extension "set +e") if it's set.
283 am__sh_e_setup = case $$- in *e*) set +e;; esac
284 # Default flags passed to test drivers.
285 am__common_driver_flags = \
286   --color-tests "$$am__color_tests" \
287   --enable-hard-errors "$$am__enable_hard_errors" \
288   --expect-failure "$$am__expect_failure"
289 # To be inserted before the command running the test.  Creates the
290 # directory for the log if needed.  Stores in $dir the directory
291 # containing $f, in $tst the test, in $log the log.  Executes the
292 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
293 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
294 # will run the test scripts (or their associated LOG_COMPILER, if
295 # thy have one).
296 am__check_pre = \
297 $(am__sh_e_setup);                                      \
298 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
299 $(am__tty_colors);                                      \
300 srcdir=$(srcdir); export srcdir;                        \
301 case "$@" in                                            \
302   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
303     *) am__odir=.;;                                     \
304 esac;                                                   \
305 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
306   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
307 if test -f "./$$f"; then dir=./;                        \
308 elif test -f "$$f"; then dir=;                          \
309 else dir="$(srcdir)/"; fi;                              \
310 tst=$$dir$$f; log='$@';                                 \
311 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
312   am__enable_hard_errors=no;                            \
313 else                                                    \
314   am__enable_hard_errors=yes;                           \
315 fi;                                                     \
316 case " $(XFAIL_TESTS) " in                              \
317   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
318     am__expect_failure=yes;;                            \
319   *)                                                    \
320     am__expect_failure=no;;                             \
321 esac;                                                   \
322 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
323 # A shell command to get the names of the tests scripts with any registered
324 # extension removed (i.e., equivalently, the names of the test logs, with
325 # the '.log' extension removed).  The result is saved in the shell variable
326 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
327 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
328 # since that might cause problem with VPATH rewrites for suffix-less tests.
329 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
330 am__set_TESTS_bases = \
331   bases='$(TEST_LOGS)'; \
332   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
333   bases=`echo $$bases`
334 RECHECK_LOGS = $(TEST_LOGS)
335 AM_RECURSIVE_TARGETS = check recheck
336 am__EXEEXT_1 =
337 TEST_SUITE_LOG = test-suite.log
338 am__test_logs1 = $(TESTS:=.log)
339 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
340 TEST_LOGS = $(am__test_logs2:.tests.log=.log)
341 TESTS_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
342 TESTS_LOG_COMPILE = $(TESTS_LOG_COMPILER) $(AM_TESTS_LOG_FLAGS) \
343         $(TESTS_LOG_FLAGS)
344 am__set_b = \
345   case '$@' in \
346     */*) \
347       case '$*' in \
348         */*) b='$*';; \
349           *) b=`echo '$@' | sed 's/\.log$$//'`; \
350        esac;; \
351     *) \
352       b='$*';; \
353   esac
354 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.sources \
355         $(top_srcdir)/test-driver COPYING
356 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
357 ACLOCAL = @ACLOCAL@
358 AMTAR = @AMTAR@
359 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
360 AR = @AR@
361 AUTOCONF = @AUTOCONF@
362 AUTOHEADER = @AUTOHEADER@
363 AUTOMAKE = @AUTOMAKE@
364 AWK = @AWK@
365 CAIRO_CFLAGS = @CAIRO_CFLAGS@
366 CAIRO_FT_CFLAGS = @CAIRO_FT_CFLAGS@
367 CAIRO_FT_LIBS = @CAIRO_FT_LIBS@
368 CAIRO_LIBS = @CAIRO_LIBS@
369 CC = @CC@
370 CCDEPMODE = @CCDEPMODE@
371 CFLAGS = @CFLAGS@
372 CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
373 CODE_COVERAGE_CPPFLAGS = @CODE_COVERAGE_CPPFLAGS@
374 CODE_COVERAGE_CXXFLAGS = @CODE_COVERAGE_CXXFLAGS@
375 CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
376 CODE_COVERAGE_LDFLAGS = @CODE_COVERAGE_LDFLAGS@
377 CODE_COVERAGE_LIBS = @CODE_COVERAGE_LIBS@
378 CORETEXT_CFLAGS = @CORETEXT_CFLAGS@
379 CORETEXT_LIBS = @CORETEXT_LIBS@
380 CPP = @CPP@
381 CPPFLAGS = @CPPFLAGS@
382 CXX = @CXX@
383 CXXCPP = @CXXCPP@
384 CXXDEPMODE = @CXXDEPMODE@
385 CXXFLAGS = @CXXFLAGS@
386 CYGPATH_W = @CYGPATH_W@
387 DEFS = @DEFS@
388 DEPDIR = @DEPDIR@
389 DIRECTWRITE_CXXFLAGS = @DIRECTWRITE_CXXFLAGS@
390 DIRECTWRITE_LIBS = @DIRECTWRITE_LIBS@
391 DLLTOOL = @DLLTOOL@
392 DSYMUTIL = @DSYMUTIL@
393 DUMPBIN = @DUMPBIN@
394 ECHO_C = @ECHO_C@
395 ECHO_N = @ECHO_N@
396 ECHO_T = @ECHO_T@
397 EGREP = @EGREP@
398 EXEEXT = @EXEEXT@
399 FGREP = @FGREP@
400 FONTCONFIG_CFLAGS = @FONTCONFIG_CFLAGS@
401 FONTCONFIG_LIBS = @FONTCONFIG_LIBS@
402 FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
403 FREETYPE_DEPS = @FREETYPE_DEPS@
404 FREETYPE_LIBS = @FREETYPE_LIBS@
405 GCOV = @GCOV@
406 GENHTML = @GENHTML@
407 GIT = @GIT@
408 GLIB_CFLAGS = @GLIB_CFLAGS@
409 GLIB_DEPS = @GLIB_DEPS@
410 GLIB_LIBS = @GLIB_LIBS@
411 GLIB_MKENUMS = @GLIB_MKENUMS@
412 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
413 GOBJECT_LIBS = @GOBJECT_LIBS@
414 GRAPHITE2_CFLAGS = @GRAPHITE2_CFLAGS@
415 GRAPHITE2_DEPS = @GRAPHITE2_DEPS@
416 GRAPHITE2_LIBS = @GRAPHITE2_LIBS@
417 GREP = @GREP@
418 GTKDOC_CHECK = @GTKDOC_CHECK@
419 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
420 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
421 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
422 GTKDOC_MKPDF = @GTKDOC_MKPDF@
423 GTKDOC_REBASE = @GTKDOC_REBASE@
424 HB_LIBTOOL_VERSION_INFO = @HB_LIBTOOL_VERSION_INFO@
425 HB_VERSION = @HB_VERSION@
426 HB_VERSION_MAJOR = @HB_VERSION_MAJOR@
427 HB_VERSION_MICRO = @HB_VERSION_MICRO@
428 HB_VERSION_MINOR = @HB_VERSION_MINOR@
429 HTML_DIR = @HTML_DIR@
430 ICU_CFLAGS = @ICU_CFLAGS@
431 ICU_CONFIG = @ICU_CONFIG@
432 ICU_LIBS = @ICU_LIBS@
433 INSTALL = @INSTALL@
434 INSTALL_DATA = @INSTALL_DATA@
435 INSTALL_PROGRAM = @INSTALL_PROGRAM@
436 INSTALL_SCRIPT = @INSTALL_SCRIPT@
437 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
438 INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
439 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
440 INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
441 INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
442 INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
443 INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
444 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
445 INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
446 LCOV = @LCOV@
447 LD = @LD@
448 LDFLAGS = @LDFLAGS@
449 LIBOBJS = @LIBOBJS@
450 LIBS = @LIBS@
451 LIBTOOL = @LIBTOOL@
452 LIPO = @LIPO@
453 LN_S = @LN_S@
454 LTLIBOBJS = @LTLIBOBJS@
455 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
456 MAKEINFO = @MAKEINFO@
457 MANIFEST_TOOL = @MANIFEST_TOOL@
458 MKDIR_P = @MKDIR_P@
459 NM = @NM@
460 NMEDIT = @NMEDIT@
461 OBJDUMP = @OBJDUMP@
462 OBJEXT = @OBJEXT@
463 OTOOL = @OTOOL@
464 OTOOL64 = @OTOOL64@
465 PACKAGE = @PACKAGE@
466 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
467 PACKAGE_NAME = @PACKAGE_NAME@
468 PACKAGE_STRING = @PACKAGE_STRING@
469 PACKAGE_TARNAME = @PACKAGE_TARNAME@
470 PACKAGE_URL = @PACKAGE_URL@
471 PACKAGE_VERSION = @PACKAGE_VERSION@
472 PATH_SEPARATOR = @PATH_SEPARATOR@
473 PKG_CONFIG = @PKG_CONFIG@
474 PTHREAD_CC = @PTHREAD_CC@
475 PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
476 PTHREAD_LIBS = @PTHREAD_LIBS@
477 RAGEL = @RAGEL@
478 RANLIB = @RANLIB@
479 SED = @SED@
480 SET_MAKE = @SET_MAKE@
481 SHELL = @SHELL@
482 STRIP = @STRIP@
483 UNISCRIBE_CFLAGS = @UNISCRIBE_CFLAGS@
484 UNISCRIBE_LIBS = @UNISCRIBE_LIBS@
485 VERSION = @VERSION@
486 abs_builddir = @abs_builddir@
487 abs_srcdir = @abs_srcdir@
488 abs_top_builddir = @abs_top_builddir@
489 abs_top_srcdir = @abs_top_srcdir@
490 ac_ct_AR = @ac_ct_AR@
491 ac_ct_CC = @ac_ct_CC@
492 ac_ct_CXX = @ac_ct_CXX@
493 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
494 am__include = @am__include@
495 am__leading_dot = @am__leading_dot@
496 am__quote = @am__quote@
497 am__tar = @am__tar@
498 am__untar = @am__untar@
499 ax_pthread_config = @ax_pthread_config@
500 bindir = @bindir@
501 build = @build@
502 build_alias = @build_alias@
503 build_cpu = @build_cpu@
504 build_os = @build_os@
505 build_vendor = @build_vendor@
506 builddir = @builddir@
507 datadir = @datadir@
508 datarootdir = @datarootdir@
509 docdir = @docdir@
510 dvidir = @dvidir@
511 exec_prefix = @exec_prefix@
512 have_gobject = @have_gobject@
513 host = @host@
514 host_alias = @host_alias@
515 host_cpu = @host_cpu@
516 host_os = @host_os@
517 host_vendor = @host_vendor@
518 htmldir = @htmldir@
519 includedir = @includedir@
520 infodir = @infodir@
521 install_sh = @install_sh@
522 libdir = @libdir@
523 libexecdir = @libexecdir@
524 localedir = @localedir@
525 localstatedir = @localstatedir@
526 mandir = @mandir@
527 mkdir_p = @mkdir_p@
528 oldincludedir = @oldincludedir@
529 pdfdir = @pdfdir@
530 prefix = @prefix@
531 program_transform_name = @program_transform_name@
532 psdir = @psdir@
533 runstatedir = @runstatedir@
534 sbindir = @sbindir@
535 sharedstatedir = @sharedstatedir@
536 srcdir = @srcdir@
537 sysconfdir = @sysconfdir@
538 target_alias = @target_alias@
539 top_build_prefix = @top_build_prefix@
540 top_builddir = @top_builddir@
541 top_srcdir = @top_srcdir@
542 NULL = 
543 EXTRA_DIST = \
544         COPYING \
545         fonts \
546         $(TESTS) \
547         $(NULL)
548
549 TEST_EXTENSIONS = .tests
550 TESTS_LOG_COMPILER = $(srcdir)/../../run-tests.py $(top_builddir)/util/hb-shape$(EXEEXT)
551 DISABLED_TESTS = \
552         $(NULL)
553
554 all: all-am
555
556 .SUFFIXES:
557 .SUFFIXES: .log .tests .tests$(EXEEXT) .trs
558 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/Makefile.sources $(am__configure_deps)
559         @for dep in $?; do \
560           case '$(am__configure_deps)' in \
561             *$$dep*) \
562               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
563                 && { if test -f $@; then exit 0; else break; fi; }; \
564               exit 1;; \
565           esac; \
566         done; \
567         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits test/shaping/data/in-house/Makefile'; \
568         $(am__cd) $(top_srcdir) && \
569           $(AUTOMAKE) --gnits test/shaping/data/in-house/Makefile
570 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
571         @case '$?' in \
572           *config.status*) \
573             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
574           *) \
575             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
576             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
577         esac;
578 $(srcdir)/Makefile.sources $(am__empty):
579
580 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
581         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
582
583 $(top_srcdir)/configure:  $(am__configure_deps)
584         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
585 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
586         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
587 $(am__aclocal_m4_deps):
588
589 mostlyclean-libtool:
590         -rm -f *.lo
591
592 clean-libtool:
593         -rm -rf .libs _libs
594 tags TAGS:
595
596 ctags CTAGS:
597
598 cscope cscopelist:
599
600
601 # Recover from deleted '.trs' file; this should ensure that
602 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
603 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
604 # to avoid problems with "make -n".
605 .log.trs:
606         rm -f $< $@
607         $(MAKE) $(AM_MAKEFLAGS) $<
608
609 # Leading 'am--fnord' is there to ensure the list of targets does not
610 # expand to empty, as could happen e.g. with make check TESTS=''.
611 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
612 am--force-recheck:
613         @:
614
615 $(TEST_SUITE_LOG): $(TEST_LOGS)
616         @$(am__set_TESTS_bases); \
617         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
618         redo_bases=`for i in $$bases; do \
619                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
620                     done`; \
621         if test -n "$$redo_bases"; then \
622           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
623           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
624           if $(am__make_dryrun); then :; else \
625             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
626           fi; \
627         fi; \
628         if test -n "$$am__remaking_logs"; then \
629           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
630                "recursion detected" >&2; \
631         elif test -n "$$redo_logs"; then \
632           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
633         fi; \
634         if $(am__make_dryrun); then :; else \
635           st=0;  \
636           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
637           for i in $$redo_bases; do \
638             test -f $$i.trs && test -r $$i.trs \
639               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
640             test -f $$i.log && test -r $$i.log \
641               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
642           done; \
643           test $$st -eq 0 || exit 1; \
644         fi
645         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
646         ws='[   ]'; \
647         results=`for b in $$bases; do echo $$b.trs; done`; \
648         test -n "$$results" || results=/dev/null; \
649         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
650         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
651         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
652         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
653         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
654         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
655         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
656         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
657           success=true; \
658         else \
659           success=false; \
660         fi; \
661         br='==================='; br=$$br$$br$$br$$br; \
662         result_count () \
663         { \
664             if test x"$$1" = x"--maybe-color"; then \
665               maybe_colorize=yes; \
666             elif test x"$$1" = x"--no-color"; then \
667               maybe_colorize=no; \
668             else \
669               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
670             fi; \
671             shift; \
672             desc=$$1 count=$$2; \
673             if test $$maybe_colorize = yes && test $$count -gt 0; then \
674               color_start=$$3 color_end=$$std; \
675             else \
676               color_start= color_end=; \
677             fi; \
678             echo "$${color_start}# $$desc $$count$${color_end}"; \
679         }; \
680         create_testsuite_report () \
681         { \
682           result_count $$1 "TOTAL:" $$all   "$$brg"; \
683           result_count $$1 "PASS: " $$pass  "$$grn"; \
684           result_count $$1 "SKIP: " $$skip  "$$blu"; \
685           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
686           result_count $$1 "FAIL: " $$fail  "$$red"; \
687           result_count $$1 "XPASS:" $$xpass "$$red"; \
688           result_count $$1 "ERROR:" $$error "$$mgn"; \
689         }; \
690         {                                                               \
691           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
692             $(am__rst_title);                                           \
693           create_testsuite_report --no-color;                           \
694           echo;                                                         \
695           echo ".. contents:: :depth: 2";                               \
696           echo;                                                         \
697           for b in $$bases; do echo $$b; done                           \
698             | $(am__create_global_log);                                 \
699         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
700         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
701         if $$success; then                                              \
702           col="$$grn";                                                  \
703          else                                                           \
704           col="$$red";                                                  \
705           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
706         fi;                                                             \
707         echo "$${col}$$br$${std}";                                      \
708         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
709         echo "$${col}$$br$${std}";                                      \
710         create_testsuite_report --maybe-color;                          \
711         echo "$$col$$br$$std";                                          \
712         if $$success; then :; else                                      \
713           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
714           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
715             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
716           fi;                                                           \
717           echo "$$col$$br$$std";                                        \
718         fi;                                                             \
719         $$success || exit 1
720
721 check-TESTS:
722         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
723         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
724         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
725         @set +e; $(am__set_TESTS_bases); \
726         log_list=`for i in $$bases; do echo $$i.log; done`; \
727         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
728         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
729         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
730         exit $$?;
731 recheck: all 
732         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
733         @set +e; $(am__set_TESTS_bases); \
734         bases=`for i in $$bases; do echo $$i; done \
735                  | $(am__list_recheck_tests)` || exit 1; \
736         log_list=`for i in $$bases; do echo $$i.log; done`; \
737         log_list=`echo $$log_list`; \
738         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
739                 am__force_recheck=am--force-recheck \
740                 TEST_LOGS="$$log_list"; \
741         exit $$?
742 .tests.log:
743         @p='$<'; \
744         $(am__set_b); \
745         $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
746         --log-file $$b.log --trs-file $$b.trs \
747         $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
748         "$$tst" $(AM_TESTS_FD_REDIRECT)
749 @am__EXEEXT_TRUE@.tests$(EXEEXT).log:
750 @am__EXEEXT_TRUE@       @p='$<'; \
751 @am__EXEEXT_TRUE@       $(am__set_b); \
752 @am__EXEEXT_TRUE@       $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
753 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
754 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
755 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
756
757 distdir: $(DISTFILES)
758         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
759         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
760         list='$(DISTFILES)'; \
761           dist_files=`for file in $$list; do echo $$file; done | \
762           sed -e "s|^$$srcdirstrip/||;t" \
763               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
764         case $$dist_files in \
765           */*) $(MKDIR_P) `echo "$$dist_files" | \
766                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
767                            sort -u` ;; \
768         esac; \
769         for file in $$dist_files; do \
770           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
771           if test -d $$d/$$file; then \
772             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
773             if test -d "$(distdir)/$$file"; then \
774               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
775             fi; \
776             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
777               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
778               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
779             fi; \
780             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
781           else \
782             test -f "$(distdir)/$$file" \
783             || cp -p $$d/$$file "$(distdir)/$$file" \
784             || exit 1; \
785           fi; \
786         done
787 check-am: all-am
788         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
789 check: check-am
790 all-am: Makefile
791 installdirs:
792 install: install-am
793 install-exec: install-exec-am
794 install-data: install-data-am
795 uninstall: uninstall-am
796
797 install-am: all-am
798         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
799
800 installcheck: installcheck-am
801 install-strip:
802         if test -z '$(STRIP)'; then \
803           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
804             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
805               install; \
806         else \
807           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
808             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
809             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
810         fi
811 mostlyclean-generic:
812         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
813         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
814         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
815
816 clean-generic:
817
818 distclean-generic:
819         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
820         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
821
822 maintainer-clean-generic:
823         @echo "This command is intended for maintainers to use"
824         @echo "it deletes files that may require special tools to rebuild."
825 clean: clean-am
826
827 clean-am: clean-generic clean-libtool mostlyclean-am
828
829 distclean: distclean-am
830         -rm -f Makefile
831 distclean-am: clean-am distclean-generic
832
833 dvi: dvi-am
834
835 dvi-am:
836
837 html: html-am
838
839 html-am:
840
841 info: info-am
842
843 info-am:
844
845 install-data-am:
846
847 install-dvi: install-dvi-am
848
849 install-dvi-am:
850
851 install-exec-am:
852
853 install-html: install-html-am
854
855 install-html-am:
856
857 install-info: install-info-am
858
859 install-info-am:
860
861 install-man:
862
863 install-pdf: install-pdf-am
864
865 install-pdf-am:
866
867 install-ps: install-ps-am
868
869 install-ps-am:
870
871 installcheck-am:
872
873 maintainer-clean: maintainer-clean-am
874         -rm -f Makefile
875 maintainer-clean-am: distclean-am maintainer-clean-generic
876
877 mostlyclean: mostlyclean-am
878
879 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
880
881 pdf: pdf-am
882
883 pdf-am:
884
885 ps: ps-am
886
887 ps-am:
888
889 uninstall-am:
890
891 .MAKE: check-am install-am install-strip
892
893 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
894         clean-libtool cscopelist-am ctags-am distclean \
895         distclean-generic distclean-libtool distdir dvi dvi-am html \
896         html-am info info-am install install-am install-data \
897         install-data-am install-dvi install-dvi-am install-exec \
898         install-exec-am install-html install-html-am install-info \
899         install-info-am install-man install-pdf install-pdf-am \
900         install-ps install-ps-am install-strip installcheck \
901         installcheck-am installdirs maintainer-clean \
902         maintainer-clean-generic mostlyclean mostlyclean-generic \
903         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
904         uninstall uninstall-am
905
906 .PRECIOUS: Makefile
907
908
909 # Convenience targets:
910 lib:
911         @$(MAKE) $(AM_MAKEFLAGS) -C $(top_builddir)/src lib
912
913 -include $(top_srcdir)/git.mk
914
915 # Tell versions [3.59,3.63) of GNU make to not export all variables.
916 # Otherwise a system limit (for SysV at least) may be exceeded.
917 .NOEXPORT: